Report Results

Returns results of a specific report.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

You should pass the report_id in the sample request to fetch the results for specific report. To know your report_id, please refer to List Reports (id in show reports is synonym for report_id).

You may provide the start/end date, filters, or metrics. If no parameters are provided, the original report configuration will be used.

To get totals of metrics and pagination data, use the Report Totals API.

💡 Tip: For bulk data extraction or long-running report jobs, we recommend using the Report Results CSV API.

Path Params
string
required

Report ID

Query Params
int32

Page number. Default - 1

string

Number of rows per page. Default - 10

string

Sort By Column. Required when sorting

string
enum

Sort by source type. Required when sorting

Allowed:
string
enum

Sort by attribution type. Required when sorting

Allowed:
string
enum

Sort result in ascending or descending order. Required when sorting

Allowed:
string
enum

Select specific day or range of days.
Optional.
Used report's date macro if blank

Allowed:
date

Start date of report, e.g.: 2013-01-01.
Optional.
This is ignored in case of use of date_macro

date

End date of report, e.g.: 2013-01-01.
Optional.
This is ignored in case of use of date_macro

json

JSON object with filters.
Optional.
Used report's filters if blank.
Please refer to Supported Parameters.
For example: {"campaign_id": [108993,108994]}

metrics[]
array of strings

Array of supported metrics.
In-App Events are considered metrics.
When left blank the report's metrics are used
Please refer to Supported Parameters

metrics[]
cohort_days[]
array of int32s

Cohort day dimensions.
Optional.
Used report's cohort day if blank.
Required if selected cohort metrics.
Possible values for cohort_days are: 0, 1, 3, 7, 14, 30

cohort_days[]
cohort_user_segments[]
array of strings

Cohort user segment.
Optional.
Used report's cohort user segment if blank.
Required if selected cohort metrics
Possible values:
- "ua"
- "rt"

cohort_user_segments[]
attribution_sources[]
array of strings

Attribution sources.
Optional.
Used report's attribution sources if blank.
Possible values: mmp, self, assisted, skan

attribution_sources[]
attribution_types[]
array of strings

Attribution types.
Optional.
Used report's attribution types if blank.
Possible values: click, view, total

attribution_types[]
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json